明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 112|回复: 7

[提问] 如何过滤选择线宽为0的多段线

[复制链接]
发表于 2022-5-13 11:32 | 显示全部楼层 |阅读模式
工作中经常碰到要选择0宽度的多段线,然后对其进行编辑,如何在lsp中使用ssget命令情况下进行筛选选中。
发表于 2022-5-13 11:42 | 显示全部楼层
(ssget '((0 .  "LWPOLYLINE")(43 . 0)))
 楼主| 发表于 2022-5-13 11:50 | 显示全部楼层
@wzg356,好像不行,还是一样选中,我要的全局宽度为0
发表于 2022-5-13 12:00 | 显示全部楼层
本帖最后由 qazxswk 于 2022-5-13 12:06 编辑

(defun c:11 (/ )
(ssget '((0 .  "LWPOLYLINE")( 43 . 0)( 370 . 0)))
)

不加370组码,在浩辰中,是可以选择的呀
发表于 2022-5-13 12:05 | 显示全部楼层
用小菜的《选择易》吧
发表于 2022-5-13 12:13 | 显示全部楼层
wanhongron 发表于 2022-5-13 11:50
@wzg356,好像不行,还是一样选中,我要的全局宽度为0

可以的啊

这个我今天完善
http://bbs.mjtd.com/forum.php?mo ... mp;extra=#pid888512
发表于 2022-5-14 16:49 | 显示全部楼层
wzg356 发表于 2022-5-13 12:13
可以的啊

这个我今天完善

试了一下  挺好用的。
 楼主| 发表于 2022-5-15 23:04 | 显示全部楼层
可以了,谢谢各位侠
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2022 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2022-5-18 15:11 , Processed in 0.271084 second(s), 22 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表